#ifndef APPEARDOWNEFFECT_H_
#define APPEARDOWNEFFECT_H_
#include "code/framework/fx/abstract/AbstractLocalEffect.h"

class AppearDownEffect : public AbstractLocalEffect
{
	private:
		bool m_running;
		unsigned int m_time;
		unsigned int m_curTick;
	
	public:
		AppearDownEffect(unsigned int time);
	
		void start(); 
		void restart();
		void reset();
		void stop();
		void update();
		bool finished();
		bool isRunning();
		OSL_IMAGE * applyOn(OSL_IMAGE *); 
		//OSL_IMAGE * unapplyOn(OSL_IMAGE *);
		AppearDownEffect* clone() const;
};



#endif /*APPEARDOWNEFFECT_H_*/
