#ifndef APPEARUPEFFECT_H_
#define APPEARUPEFFECT_H_
#include "code/framework/fx/abstract/AbstractLocalEffect.h"

class AppearUpEffect : public AbstractLocalEffect
{
	private:
		bool m_running;
		unsigned int m_time;
		unsigned int m_curTick;
	
	public:
		AppearUpEffect(unsigned int time);
	
		void start(); 
		void restart();
		void reset();
		void stop();
		void update();
		bool finished();
		bool isRunning();
		OSL_IMAGE * applyOn(OSL_IMAGE *); 
		AppearUpEffect* clone() const;
};
#endif /*APPEARUPEFFECT_H_*/
