#ifndef VANISHDOWNEFFECT_H_
#define VANISHDOWNEFFECT_H_
#include "code/framework/fx/abstract/AbstractLocalEffect.h"

class VanishDownEffect : public AbstractLocalEffect
{
	private:
		bool m_running;
		unsigned int m_time;
		unsigned int m_curTick;
	
	public:
		VanishDownEffect(unsigned int time);
	
		void start(); 
		void restart();
		void reset();
		void stop();
		void update();
		bool finished();
		bool isRunning();
		OSL_IMAGE * applyOn(OSL_IMAGE *);
		VanishDownEffect* clone() const;
};
#endif /*VANISHDOWNEFFECT_H_*/
