#ifndef ABSTRACTLOCALEFFECTMANAGER_H_
#define ABSTRACTLOCALEFFECTMANAGER_H_
#include <oslib/oslib.h>
#include <vector>
#include "code/framework/fx/abstract/AbstractEffectManager.h"
#include "code/framework/fx/abstract/AbstractLocalEffect.h"
#include "code/framework/fx/utils/ImgState.h"
using namespace std;

//@deprecated
class LocalEffectManager : public AbstractEffectManager
{
	private:
		vector<AbstractLocalEffect *> *m_effects;
		ImgState *m_state;
		
	public:	
		LocalEffectManager();
		void start(); 
		void restart();
		void reset();
		void stop();
		void update();
		bool finished();
		bool isRunning();
		
		AbstractLocalEffect * addEffect(AbstractLocalEffect * fx);
		void deleteAll();
		OSL_IMAGE * applyOn(OSL_IMAGE *img);
		void draw(OSL_IMAGE *img);
		void drawXY(OSL_IMAGE *img, int x, int y);
		AbstractLocalEffect *getAt(unsigned int num);
		int getNbEffects();
		
		~LocalEffectManager();
};

#endif /*ABSTRACTLOCALEFFECTMANAGER_H_*/
