#ifndef CONTROLLEDANIMATIONFACTORY_H_
#define CONTROLLEDANIMATIONFACTORY_H_

#include "code/framework/particles/complete/animFactories/abstract/AbstractAnimationFactory.h"


class ControlledAnimationFactory : public AbstractAnimationFactory
{
	private:
		Anim *m_animation; //uniquement pointeur
		
		
	public:
		ControlledAnimationFactory();
		~ControlledAnimationFactory();
		Anim *newAnimInstance();
		
		float getDelayTotal();
   		void setDelayTotal(float d);
   		
   		void setAnim(Anim *anim);
		
		ControlledAnimationFactory *clone() const;
};

#endif /*CONTROLLEDANIMATIONFACTORY_H_*/
