#ifndef ABSTRACTANIMATIONFACTORY_H_
#define ABSTRACTANIMATIONFACTORY_H_

#include "code/framework/anim/Anim.h"


class AbstractAnimationFactory
{
	private:
		 
	
	public:
		AbstractAnimationFactory();
		virtual ~AbstractAnimationFactory(){}
		virtual Anim *newAnimInstance()=0;
		virtual float getDelayTotal()=0;
   		virtual void setDelayTotal(float d)=0;
   		virtual AbstractAnimationFactory *clone() const=0;
};

#endif /*ABSTRACTANIMFACTORY_H_*/
