#ifndef PFXFRANDOMANGLETRANSLATION_H_
#define PFXFRANDOMANGLETRANSLATION_H_

#include "code/framework/particles/complete/fxFactories/abstract/AbstractLocalParticleEffectFactory.h"

class PFXFRandomAngleTranslation: public AbstractLocalParticleEffectFactory
{
	private: 
		int m_angleMin;
		int m_angleMax;
	
	public:
		PFXFRandomAngleTranslation(int angleMin, int angleMax);
		~PFXFRandomAngleTranslation();
		AbstractLocalEffect *newLocalEffectInstance(int startX, int startY, int dist, int movingTime, int orientation, int scale, int particleLifespan);
		int getAngleMin();
		void setAngleMin(int angle);
		int getAngleMax();
		void setAngleMax(int angle);	
		
		PFXFRandomAngleTranslation *clone() const;	
};

#endif /*PFXFRANDOMANGLETRANSLATION_H_*/
