#ifndef PFXFRANDOMPOSITION_H_
#define PFXFRANDOMPOSITION_H_

#include "code/framework/particles/complete/fxFactories/abstract/AbstractLocalParticleEffectFactory.h"

class PFXFRandomPosition: public AbstractLocalParticleEffectFactory
{
	private:
		int m_distMin;
		int m_distMax;
	
	public:
		PFXFRandomPosition(int distMin=-1, int distMax=-1);
		~PFXFRandomPosition();
		AbstractLocalEffect *newLocalEffectInstance(int startX, int startY, int dist, int movingTime, int orientation, int scale, int particleLifespan);
		int getDistMin();
		void setDistMin(int dist);
		int getDistMax();
		void setDistMax(int dist);
		
		PFXFRandomPosition *clone() const;
};

#endif /*PFXFRANDOMPOSITION_H_*/
