#ifndef PFXFRANDOMTRANSLATION_H_
#define PFXFRANDOMTRANSLATION_H_

#include "code/framework/particles/complete/fxFactories/abstract/AbstractLocalParticleEffectFactory.h"


class PFXFRandomTranslation: public AbstractLocalParticleEffectFactory
{
	private: 
		int m_distMin;
		int m_distMax;
	
	public:
		PFXFRandomTranslation(int distMin, int distMax);
		~PFXFRandomTranslation();
		AbstractLocalEffect *newLocalEffectInstance(int startX, int startY, int dist, int movingTime, int orientation, int scale, int particleLifespan);
		int getDistMin();
		void setDistMin(int dist);
		int getDistMax();
		void setDistMax(int dist);
		PFXFRandomTranslation *clone() const;
};

#endif /*PFXFRANDOMTRANSLATION_H_*/
