#ifndef ABSTRACTGLOBALPARTICLEEFFECTFACTORY_H_
#define ABSTRACTGLOBALPARTICLEEFFECTFACTORY_H_

#include "code/framework/fx/abstract/AbstractGlobalEffect.h"

class AbstractGlobalParticleEffectFactory
{
	private:
		
	
	public:
		virtual ~AbstractGlobalParticleEffectFactory();
		virtual AbstractGlobalEffect *newGlobalEffectInstance(int startX, int startY, int dist, int movingTime, int orientation, int scale, int particleLifespan)=0;
		
		virtual AbstractGlobalParticleEffectFactory *clone() const=0;
};

#endif /*ABSTRACTGLOBALPARTICLEEFFECTFACTORY_H_*/
