#ifndef RESREPOFACTORY_H_
#define RESREPOFACTORY_H_

#define RESREPO_TYPE_RMX 0
#define RESREPO_TYPE_FOLDER 1

#include "code/framework/resRepo/abstract/AbstractResRepo.h"

class ResRepoFactory
{
	private:
		static int repotype;
		ResRepoFactory(); //pas d'instanciation possible
		
	public:
		static void setRepoType(int type);
		static AbstractResRepo *newInstance(string filename);
		
		
};


#endif /*RESREPOFACTORY_H_*/
