#ifndef TIMER_H_
#define TIMER_H_
#include <time.h>

class Timer
{
	private:
		bool m_running;
		clock_t m_startedTime;
		//clock_t m_endedTime;
		clock_t m_accumulation;
		
	public:
		Timer();
		Timer(const Timer &t);
	
		void start();
		void reset();
		void restart();
		void stop();
		long int getTime();
		bool isRunning();
		
		bool operator == (Timer& t);
//		bool operator != (Timer& t);
//		bool operator < (Timer& t);
//		bool operator > (Timer& t);
//		bool operator <= (Timer& t);
//		bool operator >= (Timer& t);
		Timer& operator = (const Timer& t);
};

#endif /*TIMER_H_*/
