#ifndef GAMEDEF_H_
#define GAMEDEF_H_

/********************************/
//   		defines				//
/********************************/

#define GAMEDEF_FAST_DROP_SPEED 2
#define GAMEDEF_PIECE_UNCONNECTED_DROP_SPEED 2
//le temps minimum entre le moment ou la piece connecte et la nouvelle paire apparait
#define GAMEDEF_MINIMUM_WAIT 9
#define GAMEDEF_COLLAPSE_SPEED 2 //temps mis par les pieces en suspension pour tomber
#define GAMEDEF_PIECE_WIDTH 21//19
#define GAMEDEF_PIECE_HEIGHT 21//19
#define GAMEDEF_EXPLOSION_TIME 73.0f
#define GAMEDEF_NBPIECE_EXPLOSION 4 //nombre de pieces nécessaires à une explosion
//nombre de frames sans explosion dispo pour que la prochaine explosion compte comme combo
#define GAMEDEF_COMBO_TIME 75
#define GAMEDEF_NB_COLS 12
#define GAMEDEF_NB_LINES 12

#define GAMEDEF_SONGBANNER_Y 260

#define GAMEDEF_INGAME_KEY_REPEAT 5
#define GAMEDEF_INGAME_KEY_WAIT_BEFORE_REPEAT 11
#define GAMEDEF_INMENU_KEY_REPEAT 6
#define GAMEDEF_INMENU_KEY_WAIT_BEFORE_REPEAT 40

#define GAMEDEF_SCREENMODE OSL_PF_8888

#define GAMEDEF_COMBO_IS_HOT 10

#define GAMEDEF_DIFFICULTY_EASY 0
#define GAMEDEF_DIFFICULTY_NORMAL 1
#define GAMEDEF_DIFFICULTY_HARD 2
#define GAMEDEF_DIFFICULTY_VERYHARD 3
#define GAMEDEF_DIFFICULTY_BONUS 4


#endif /*GAMEDEF_H_*/




























