#ifndef CONDEMNEDPARTICLEGENERATORSEGMENT_H_
#define CONDEMNEDPARTICLEGENERATORSEGMENT_H_

#include <string>
#include "code/framework/particles/complete/impl/ParticleGeneratorSegment.h"
#include "code/game/levels/impl/underwater/CondemnedObject.h"

class CondemnedParticleGeneratorSegment: public ParticleGeneratorSegment, public CondemnedObject
{
	private:
	
	public:
		CondemnedParticleGeneratorSegment(	int x, int y, int direction, int scale, int nbParticles, int generationTime, int movingTime, 
									int dist, int particleLifespan, AbstractAnimationFactory *animFactory, int nbLoops=-1);
		CondemnedParticleGeneratorSegment(	int x, int y, int direction, int scale, int nbParticles, int generationTime, int movingTime, int dist, 
								int particleLifespan, Anim *anim, int nbLoops=-1);
		CondemnedParticleGeneratorSegment(	int x, int y, int direction, int scale, int nbParticles, int generationTime, int movingTime, int dist,
								int particleLifespan, string filename, short transparency, int nbLoops=-1);
		
		~CondemnedParticleGeneratorSegment();
		
		bool mustBeDestroyed();
		
		virtual CondemnedParticleGeneratorSegment *clone() const;
};


#endif /*CONDEMNEDPARTICLEGENERATORSEGMENT_H_*/
