#ifndef LOADING_H_
#define LOADING_H_

#include "code/game/loading/LoadingRes.h"
#include <pspkerneltypes.h>

#include <stdlib.h>
#include <unistd.h>

#ifndef MAX_PATH
#define MAX_PATH 260
#endif

//pour que les classes se connaissent en tant qu'amies...
class LoadingRes;

class Loading
{
	private:
		SceUID m_thid;
		LoadingRes* m_res;
		//char m_startPath[MAX_PATH]; //stocke le chemin par defaut du thread de loading
		static int staticRunLoading(SceSize args, void *argp);
		int runLoading();
		static void go(Loading *loading);
	
	public:
		Loading();
		~Loading();
		void start();
	
};


#endif /*LOADING_H_*/
