#ifndef SHOWIMAGE_H_
#define SHOWIMAGE_H_

#include <oslib/oslib.h>
#include "code/framework/fx/EffectsLib.h"
#include "code/framework/time/Delayer.h"
#include <string>
using namespace std;

class ShowImage
{
	private:
		OSL_IMAGE *m_img;
		ProgressiveAlphaEffect *m_fx_appear;
		ProgressiveAlphaEffect *m_fx_disappear;
		Delayer *m_delayer;
		
		void keys();
		void drawScene();
	
	public:
		ShowImage(string png, int alphatime, int staytime);
		~ShowImage();
		void go();
};

#endif /*SHOWIMAGE_H_*/
