#ifndef PDR4CMAINMENU_H_
#define PDR4CMAINMENU_H_
#include <string>
#include <oslib/oslib.h>
#include "code/framework/anim/Anim.h"
#include "code/framework/bmpFont/BmpFont.h"
#include "code/framework/bmpFont/BmpText.h"
#include "code/framework/fx/EffectsLib.h"
#include "code/game/menus/pdr4c/PDR4CMenuItemManager.h"
//#include "code/framework/sound/ChannelDistributor.h"
#include "code/framework/sound/ChannelManager.h"
//#include "code/framework/particles/complete/abstract/AbstractParticleGenerator.h"
#include "code/framework/particles/complete/impl/ParticleGeneratorPoint.h"
#include "code/framework/time/Timer.h"

using namespace std;


class PDR4CMainMenu
{
	private:
		//fonctionnement
		string m_locale;
		bool m_skip;
		int m_action;
		
		OSL_SOUND* m_music;
		//Timer *m_timer_music;
		//long m_musicLength;
		
		OSL_IMAGE * m_img_pdr4cdrops;
		//OSL_IMAGE * m_img_vinyl;
		//Anim * m_anim_vinyl;
		
		int m_bgcolor;
	
		//sons pour actions
		OSL_SOUND * m_snd_move;
		OSL_SOUND * m_snd_cancel;
		OSL_SOUND * m_snd_select;
			
		//fonctions membres
		void drawScene();
		int keys();
		
		PDR4CMenuItemManager *m_menu;
		
		ChannelManager *m_chan_mgr;
		
		int getRandomBGColor();
				
		//beaux effets sur le disque 
		//ParticleGeneratorPoint *m_gen_vinyl1;
		//ParticleGeneratorPoint *m_gen_vinyl2;
		
		
			
	public:
		int go(bool debugmode=false);
		PDR4CMainMenu(string locale);
		~PDR4CMainMenu();
				
};





#endif /*PDR4CMAINMENU_H_*/











