#ifndef QJCREDITS_H_
#define QJCREDITS_H_
#include "code/game/menus/CreditsRoll.h"
#include "code/game/SongBanner.h"

class QJCredits
{
	private:
		OSL_IMAGE *m_img_bordertop;
		OSL_IMAGE *m_img_borderbottom;
		CreditsRoll *m_roll;
		SongBanner *m_songbanner;
		OSL_SOUND *m_music;
		
		OSL_IMAGE * m_img_current;
		int m_current_img_num;
		SerialGlobalEffect *m_fx_bg;
		int m_nbImages;
		
		void update();
		void drawScene();
		bool keys();
	
	public:
		QJCredits();
		~QJCredits();
		void go();
		
};

#endif /*QJCREDITS_H_*/
