#include "code/game/pieces/abstract/AbstractPiece.h"
#include "code/game/pieces/PiecesBufferFactory.h"

//////////////////////////////////
//    		   STATIC			//
//////////////////////////////////

OSL_COLOR AbstractPiece::getOslColor(int color_num)
{
	if(color_num==PIECE_COLOR_BLUE)
		return color_blue;
	else if(color_num==PIECE_COLOR_GREEN)
		return color_green;
	else if(color_num==PIECE_COLOR_ORANGE)
		return color_orange;
	else if(color_num==PIECE_COLOR_PURPLE)
		return color_purple;
	else if(color_num==PIECE_COLOR_RED)
		return color_red;
	else if(color_num==PIECE_COLOR_YELLOW)
		return color_yellow;
	
	
	//blanc par défaut
	return RGB(255,255,255);
}

/*
void AbstractPiece::initPieceGeneration()
{
	PiecesBufferFactory::bufferResources();
}

void AbstractPiece::endPieceGeneration()
{
	PiecesBufferFactory::unbufferResources();
}
*/

//////////////////
//   INSTANCE   //
//////////////////

int AbstractPiece::getByMode(int mode)
{
	if(mode==PIECE_MODE_COLOR)
		return getColor();
	return getShape();
}

/*void AbstractPiece::setPixPos(int x, int y)
{
	m_x=x;
	m_y=y;
}*/

bool AbstractPiece::isRandom()
{
	return false;
}







