#ifndef PLEASEWAITSOUND_H_
#define PLEASEWAITSOUND_H_

#include <oslib/oslib.h>
#include "code/framework/time/Timer.h"

class PleaseWaitSound
{
	private:
		
	
		bool soundAlreadyChosen(int *choices, int currentChoiceNum, int currentTry);
		
	
	public:
		
		PleaseWaitSound(bool force1=false);
		~PleaseWaitSound();
		
		OSL_SOUND* m_snd1;
		OSL_SOUND* m_snd2;
		int m_nbSounds;
		int m_currentPlaying;
		int m_snd1_ms; //duree snd1
		int m_snd2_ms;
		Timer *m_timer;
		
		void update();
		void start();
};




#endif /*PLEASEWAITSOUND_H_*/
