#ifndef TESTTRANSLATIONFX_H_
#define TESTTRANSLATIONFX_H_
#include <oslib/oslib.h>
#include "code/framework/fx/EffectsLib.h"


class TestTranslationFX
{
	private:
		bool m_skip;
		int m_action;
		
		int m_x, m_y; //position de l'objet
		
		OSL_IMAGE *m_repere; //marque l'endroit reel de l'image
		OSL_IMAGE *m_affected; //recoit l'effet
		
		TranslationEffect *m_fx_transl;
	
		void drawScene();
		int keys();
		
	public:
		int go();
		TestTranslationFX();
		~TestTranslationFX();
		
};

#endif /*TESTTRANSLATIONFX_H_*/
