#ifndef IMGFILTERS_H_
#define IMGFILTERS_H_

#include <oslib/oslib.h>

//#define COLOR_PERCENTAGE 0.39215f

void rgbToHsl(int rgb[], float hsl[]);
void hslToRgb(float hsl[], int rgb[]);
int toRGB1(float rm1, float rm2, float rh);

OSL_IMAGE *getHSLRecoloredBufferCopy(OSL_COLOR refcolor, int lum_min, int lum_max, int alpha);

OSL_IMAGE *getBlueRecoloredBufferCopy(float multblue, float multothers);
OSL_IMAGE *getOrangeRecoloredBufferCopy(float mult_r, float mult_g, float mult_b, int alpha);
OSL_IMAGE *getOrangeRecoloredBufferCopy2(float mult_rg, float mult_b, int alpha);

#endif /*IMGFILTERS_H_*/
