#ifndef EXACTSAMEANIMATIONFACTORY_H_
#define EXACTSAMEANIMATIONFACTORY_H_

#include "code/framework/particles/complete/animFactories/abstract/AbstractAnimationFactory.h"


class ExactSameAnimationFactory : public AbstractAnimationFactory
{
	private:
		Anim *m_animation;
		
		
	public:
		ExactSameAnimationFactory(Anim *anim);
		~ExactSameAnimationFactory();
		Anim *newAnimInstance();
		
		float getDelayTotal();
   		void setDelayTotal(float d);
		
		ExactSameAnimationFactory *clone() const;
};

#endif /*EXACTSAMEANIMATIONFACTORY_H_*/
