#ifndef RANDOMANIMATIONFACTORY_H_
#define RANDOMANIMATIONFACTORY_H_

#include <vector>
#include "code/framework/particles/complete/animFactories/abstract/AbstractAnimationFactory.h"

using namespace std;

class RandomAnimationFactory : public AbstractAnimationFactory
{
	private:
		vector<Anim *> *m_animations;
		
		
	public:
		RandomAnimationFactory(Anim *anim=NULL);
		~RandomAnimationFactory();
		void addAnimation(Anim *anim);
		Anim *newAnimInstance();
		
		float getDelayTotal();
   		void setDelayTotal(float d);
   		
   		RandomAnimationFactory *clone() const;
};

#endif /*RANDOMANIMATIONFACTORY_H_*/
