#ifndef PFXFEXACTSAMEGLOBALEFFECT_H_
#define PFXFEXACTSAMEGLOBALEFFECT_H_

#include "code/framework/particles/complete/fxFactories/abstract/AbstractGlobalParticleEffectFactory.h"
#include "code/framework/fx/abstract/AbstractGlobalEffect.h"

class PFXFExactSameGlobalEffect : public AbstractGlobalParticleEffectFactory
{
	private:
		AbstractGlobalEffect * m_base;
		
	public:
		PFXFExactSameGlobalEffect(AbstractGlobalEffect *fx);
		~PFXFExactSameGlobalEffect();
		AbstractGlobalEffect *newGlobalEffectInstance(int startX, int startY, int dist, int movingTime, int orientation, int scale, int particleLifespan);
		
		PFXFExactSameGlobalEffect *clone() const;
};

#endif /*PFXFEXACTSAMEGLOBALEFFECT_H_*/
