#include "code/framework/particles/complete/fxFactories/PFXFExactSameLocalEffect.h"
#include <oslib/oslib.h>

PFXFExactSameLocalEffect::PFXFExactSameLocalEffect(AbstractLocalEffect *fx)
{
	if(fx==NULL)
	{
		oslFatalError("PFXFExactSameLocalEffect cannot be constructed with NULL effect");
	}
	m_base=fx;
}

PFXFExactSameLocalEffect::~PFXFExactSameLocalEffect()
{
	delete m_base;
}

AbstractLocalEffect *PFXFExactSameLocalEffect::newLocalEffectInstance(int startX, int startY, int dist, int movingTime, int orientation, int scale, int particleLifespan)
{
	return m_base->clone();
}

PFXFExactSameLocalEffect *PFXFExactSameLocalEffect::clone() const
{
	return new PFXFExactSameLocalEffect(m_base->clone());
}








