#ifndef PFXFSIMPLETRANSLATION_H_
#define PFXFSIMPLETRANSLATION_H_
#include "code/framework/particles/complete/fxFactories/abstract/AbstractLocalParticleEffectFactory.h"


class PFXFSimpleTranslation: public AbstractLocalParticleEffectFactory
{
	private: 
		int m_angleShift;
	
	public:
		PFXFSimpleTranslation(int angleShift=0);
		~PFXFSimpleTranslation();
		AbstractLocalEffect *newLocalEffectInstance(int startX, int startY, int dist, int movingTime, int orientation, int scale, int particleLifespan);
		void setAngleShift(int shift);
		PFXFSimpleTranslation *clone() const;
};

#endif /*PFXFSIMPLETRANSLATION_H_*/
