#ifndef GAMEPREF_H_
#define GAMEPREF_H_

#include <map>
#include <string>

using namespace std;

#define GAMEPREF_DEFAULT_CONFIG_FILE "djdrops.properties"

class GamePref
{
	private:
		static map<string, string> * preferences;
		GamePref(){} //do not instanciate
		
	public:
		static void load(string filename=GAMEPREF_DEFAULT_CONFIG_FILE);
		static void save(string filename=GAMEPREF_DEFAULT_CONFIG_FILE);
		static string getStrValue(string key);
		static int getIntValue(string key);
		static void setValue(string key, string value);
		static void setValue(string key, int value);
};

#endif /*GAMEPREF_H_*/
