#ifndef COMBOCOUNTER_H_
#define COMBOCOUNTER_H_


//on lui passe le nombre de pieces qui explosent, il tient a jour le nombre de combos
//faut l'updater pour qu'il ait conscience du temps qui passe
class ComboCounter
{
	private:
		int m_combos; //nombre d'esplosions successives en cours
		int m_time; //temps restant pour faire un combo
		bool m_events; //dit si la grille est en action (y a des explosions, des pieces qui tombent etc)
		
	
	public:
		ComboCounter();
		/*virtual */~ComboCounter();
		
		void update();
		void notifyNewExplosions(bool force=false); //true pour forcer de le compter comme combo
		
		int getCombos();
		int getTime();
		int getTimeTotalAvailable();
		//renvoient si ca a changé qqch (passé de vrai a faux et inversement)
		bool notifyEvents();
		bool notifyNoEvents();
		bool isHot(); //a partir d'un certain nombre de combos
		bool isEvent();
};

#endif /*COMBOCOUNTER_H_*/
