#ifndef ANIMALMANAGER_H_
#define ANIMALMANAGER_H_

#include <list>
#include <vector>
#include "code/game/levels/impl/underwater/fauna/Animal.h"
#include "code/game/levels/impl/underwater/fauna/AnimalProperties.h"
#include "code/framework/Properties.h"

using namespace std;

class AnimalManager
{
	private:
		list<Animal *> m_list_animals;
		vector<AnimalProperties *> m_list_animalprops;
		int m_watery;
		int m_probability;
		int m_animal_proportion_total;
	
	public:
		AnimalManager(Properties *props, int watery=0);
		~AnimalManager();
		
		void setWaterPosition(int y);
		void update();
		void draw();
};

#endif /*ANIMALMANAGER_H_*/
