#ifndef JOKERDRAWER_H_
#define JOKERDRAWER_H_
#include <oslib/oslib.h>
#include "code/framework/fx/EffectsLib.h"

class JokerDrawer
{
	private:
		OSL_IMAGE *m_img_ray1;
		OSL_IMAGE *m_img_ray2;
		
		SizeWowEffect *m_fx_size1;
		SizeWowEffect *m_fx_size2;
		RotationEffect *m_fx_rot1;
		RotationEffect *m_fx_rot2;
		
	public:
		JokerDrawer();
		~JokerDrawer();
		
		void update();
		void drawXY(int x, int y, AbstractLocalEffect *fx1=NULL, AbstractLocalEffect *fx2=NULL, AbstractLocalEffect *fx3=NULL, AbstractLocalEffect *fx4=NULL, AbstractLocalEffect *fx5=NULL);
};

#endif /*JOKERDRAWER_H_*/
