#ifndef LOADINGRES_H_
#define LOADINGRES_H_

#include "code/game/sound/PleaseWaitSound.h"
#include "code/game/loading/Loading.h"
#include <oslib/oslib.h>
#include "code/framework/fx/EffectsLib.h"
#include "code/framework/time/Timer.h"

class Loading;
//va contenir toutes les ressources nécessaires au now loading
class LoadingRes
{
	private:
		PleaseWaitSound *m_pws;
		OSL_IMAGE *m_img_screencpy;
		//TranslationEffect *m_fx_trans;
		GravityEffect *m_fx_scrcpy_grav;
		SizeWowEffect *m_fx_scrcpy_shrink;
		
		
		OSL_IMAGE *m_img_bg;
		OSL_IMAGE *m_img_vinyl;
		OSL_IMAGE *m_img_djdrops;
		OSL_IMAGE *m_img_L;
		OSL_IMAGE *m_img_o;
		OSL_IMAGE *m_img_a;
		OSL_IMAGE *m_img_d;
		OSL_IMAGE *m_img_i;
		OSL_IMAGE *m_img_n;
		OSL_IMAGE *m_img_g;
		
		SerialLocalEffect *m_fx_L;
		SerialLocalEffect *m_fx_o;
		SerialLocalEffect *m_fx_a;
		SerialLocalEffect *m_fx_d;
		SerialLocalEffect *m_fx_i;
		SerialLocalEffect *m_fx_n;
		SerialLocalEffect *m_fx_g;
		
		Timer *m_timer;
		
		RotationEffect *m_fx_vinyl_rot;
		
		SerialGlobalEffect *m_fx_bg_tint;
		
	
	public:
		LoadingRes();
		~LoadingRes();
	
	friend class Loading;
};


#endif /*LOADINGRES_H_*/
