#ifndef YOULOOSEDIALOG_H_
#define YOULOOSEDIALOG_H_

#include <oslib/oslib.h>
#include <string>
#include "code/framework/utils.h"
#include "code/game/levels/abstract/AbstractLevel.h"
#include "code/framework/bmpFont/BmpFont.h"
#include "code/framework/bmpFont/BmpText.h"
#include "code/game/menus/qj/dialogs/AbstractDialog.h"

using namespace std;
using namespace utils;

class YouLooseDialog : public AbstractDialog
{
	private:
			
		BmpFont *m_font_big;
		BmpFont *m_font_small;
		BmpText *m_text_title;
		BmpText *m_text_completed;
		BmpText *m_text_percent;
		BmpText *m_text_retry;
		BmpText *m_text_yes;
		BmpText *m_text_no;
		
		OSL_IMAGE *m_img_cross;
		OSL_IMAGE *m_img_square;
	
	public:
		YouLooseDialog(float level_duration, float time);
		~YouLooseDialog();
				
		void startSpecific();
		void drawSpecific();
		void updateSpecific();
		int keys();
};

#endif /*YOULOOSEDIALOG_H_*/
